Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
LockNotGrantedException Class
Members See Also Send Feedback

If TimeNotGranted is true, database calls timing out based on lock or transaction timeout values throw a LockNotGrantedException, instead of a DeadlockException.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#
    public class LockNotGrantedException : DatabaseException

Visual Basic (Declaration)
    Public Class LockNotGrantedException _
    	Inherits DatabaseException

Visual C++
    public ref class LockNotGrantedException : public DatabaseException

# Inheritance Hierarchy

System..::.Object
System..::.Exception
BerkeleyDB..::.DatabaseException
BerkeleyDB..::.LockNotGrantedException

# See Also

LockNotGrantedException Members
BerkeleyDB Namespace